List WhatsApp templates

GET
/beta/whatsapp/templates

List WhatsApp templates for the organization, newest first. To find out a template's approval status and category, use the get template endpoint.

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Response Body

The list of WhatsApp templates

application/json
  1. response
data?array<>
meta?
Example Request
curl -X GET 'https://dev.dixa.io/beta/whatsapp/templates' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "order_confirmation",
"language": "en",
"createdAt": "2026-01-01T00:00:00Z"
},
{
"id": "517eedd9-bf71-4a84-bd95-2dd21360de3f",
"name": "delivery_info",
"language": "en",
"createdAt": "2026-01-01T00:00:00Z"
}
],
"meta": {
"next": "/beta/whatsapp/templates?pageKey=a2V5c2V0UGFnZUtleT1iMlptYzJWMFBUVXcmcGFnZUxpbWl0PTUwJmRpcj1mb3J3YXJk"
}
}